package com.steerinfo.baseinfo.meterbasecarblacelist.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="车辆黑名单配置表")
public class MeterBaseCarBlacelist implements IBasePO<String> {
    /**
     * 黑名单编号（YYYYMMDD+4位流水）(BLACELIST_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="黑名单编号（YYYYMMDD+4位流水）",required=true)
    private String blacelistNo;

    /**
     * 车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车号",required=true)
    private String carNo;

    /**
     * 车主姓名(CAR_OWNER_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="车主姓名",required=true)
    private String carOwnerName;

    /**
     * 驾驶员(CAR_DRIVER_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="驾驶员",required=true)
    private String carDriverName;

    /**
     * 隶属单位(CAR_UNDER_UNIT,VARCHAR,60)
     */
    @ApiModelProperty(value="隶属单位",required=true)
    private String carUnderUnit;

    /**
     * 处罚原因(PUNISH_REASON,VARCHAR,100)
     */
    @ApiModelProperty(value="处罚原因",required=true)
    private String punishReason;

    /**
     * 处罚结果(PUNISH_RESULT,VARCHAR,100)
     */
    @ApiModelProperty(value="处罚结果",required=true)
    private String punishResult;

    /**
     * 状态（0：无效；1：有效，2：已撤销）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：无效；1：有效，2：已撤销）",required=true)
    private String valueFlag;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date deleteTime;

    /**
     * 违规类型编号(PUNISH_TYPE_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="违规类型编号",required=false)
    private String punishTypeNo;

    /**
     * 违规类型名称(PUNISH_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="违规类型名称",required=false)
    private String punishTypeName;

    /**
     * 黑名单级别编码(BLACK_LEVEL_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="黑名单级别编码",required=false)
    private String blackLevelNo;

    /**
     * 操作部门(OPERATION_UNIT,VARCHAR,50)
     */
    @ApiModelProperty(value="操作部门",required=false)
    private String operationUnit;

    /**
     * 黑名单级别更改备注(CHANGE_MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="黑名单级别更改备注",required=false)
    private String changeMemo;

    /**
     * 黑名单级别名称(BLACK_LEVEL_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="黑名单级别名称",required=false)
    private String blackLevelName;

    /**
     * 供应商(SUPPLLIER,VARCHAR,255)
     */
    @ApiModelProperty(value="供应商",required=false)
    private String suppllier;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.blacelistNo;
    }

    @Override
    public void setId(String blacelistNo) {
        this.blacelistNo = blacelistNo == null ? null : blacelistNo.trim();
    }

    public String getBlacelistNo() {
        return blacelistNo;
    }

    public void setBlacelistNo(String blacelistNo) {
        this.blacelistNo = blacelistNo == null ? null : blacelistNo.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getCarOwnerName() {
        return carOwnerName;
    }

    public void setCarOwnerName(String carOwnerName) {
        this.carOwnerName = carOwnerName == null ? null : carOwnerName.trim();
    }

    public String getCarDriverName() {
        return carDriverName;
    }

    public void setCarDriverName(String carDriverName) {
        this.carDriverName = carDriverName == null ? null : carDriverName.trim();
    }

    public String getCarUnderUnit() {
        return carUnderUnit;
    }

    public void setCarUnderUnit(String carUnderUnit) {
        this.carUnderUnit = carUnderUnit == null ? null : carUnderUnit.trim();
    }

    public String getPunishReason() {
        return punishReason;
    }

    public void setPunishReason(String punishReason) {
        this.punishReason = punishReason == null ? null : punishReason.trim();
    }

    public String getPunishResult() {
        return punishResult;
    }

    public void setPunishResult(String punishResult) {
        this.punishResult = punishResult == null ? null : punishResult.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getPunishTypeNo() {
        return punishTypeNo;
    }

    public void setPunishTypeNo(String punishTypeNo) {
        this.punishTypeNo = punishTypeNo == null ? null : punishTypeNo.trim();
    }

    public String getPunishTypeName() {
        return punishTypeName;
    }

    public void setPunishTypeName(String punishTypeName) {
        this.punishTypeName = punishTypeName == null ? null : punishTypeName.trim();
    }

    public String getBlackLevelNo() {
        return blackLevelNo;
    }

    public void setBlackLevelNo(String blackLevelNo) {
        this.blackLevelNo = blackLevelNo == null ? null : blackLevelNo.trim();
    }

    public String getOperationUnit() {
        return operationUnit;
    }

    public void setOperationUnit(String operationUnit) {
        this.operationUnit = operationUnit == null ? null : operationUnit.trim();
    }

    public String getChangeMemo() {
        return changeMemo;
    }

    public void setChangeMemo(String changeMemo) {
        this.changeMemo = changeMemo == null ? null : changeMemo.trim();
    }

    public String getBlackLevelName() {
        return blackLevelName;
    }

    public void setBlackLevelName(String blackLevelName) {
        this.blackLevelName = blackLevelName == null ? null : blackLevelName.trim();
    }

    public String getSuppllier() {
        return suppllier;
    }

    public void setSuppllier(String suppllier) {
        this.suppllier = suppllier == null ? null : suppllier.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", blacelistNo=").append(blacelistNo);
        sb.append(", carNo=").append(carNo);
        sb.append(", carOwnerName=").append(carOwnerName);
        sb.append(", carDriverName=").append(carDriverName);
        sb.append(", carUnderUnit=").append(carUnderUnit);
        sb.append(", punishReason=").append(punishReason);
        sb.append(", punishResult=").append(punishResult);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", memo=").append(memo);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", punishTypeNo=").append(punishTypeNo);
        sb.append(", punishTypeName=").append(punishTypeName);
        sb.append(", blackLevelNo=").append(blackLevelNo);
        sb.append(", operationUnit=").append(operationUnit);
        sb.append(", changeMemo=").append(changeMemo);
        sb.append(", blackLevelName=").append(blackLevelName);
        sb.append(", suppllier=").append(suppllier);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}